@import theme

.info
    padding: 40px 30px
    box-sizing: border-box

    background-color: $foregroundColor
    box-shadow: 0 0 20px -5px rgba(33, 33, 33, 0.25)

    h2
        font-size: 1.75em
        color: $primaryColor

    h3
        color: $primaryColor
        margin-top: 20px

    .other-info, .schedule
        display: flex
        align-items: center

        margin: 0

        font-size: 14px
        font-weight: 300

        > b
            font-weight: 500

        > mat-icon
            margin-right: 5px

            width: auto
            height: auto
            font-size: 14px

    > p + p
        margin-top: 10px

    .plan
        display: flex
        align-items: center
        //justify-content: space-between

        > div + div
            margin-left: 20px
            border-left: 1px solid #c9c9c9

        div
            flex: 1 1 25%
            flex-wrap: wrap
            padding: 0 20px
            box-sizing: border-box

            text-align: center

            +remove-margin-padding-title-and-p

            > h5
                margin-bottom: 10px
                font-family: $titleFont
                font-size: 1.15em
                color: $primaryColor

            > h3
                font-family: $bodyFont
                font-weight: 200
                font-size: 1.75em

                color: $secondaryColor

            > p
                text-align: center
                font-size: 12px


.row-legend
    display: flex
    justify-content: space-between
    align-items: center
    flex-wrap: wrap

    padding: 1em 1.25em
    margin-bottom: 10px
    box-sizing: border-box

    border-bottom: 1px solid #a2a2a2
    color: #666666
    font-size: 12px

    .meal
        flex: 0 1 250px

    .calories
        flex: 0 1 100px
        text-align: center

    .carbohydrates
        flex: 0 1 100px
        text-align: center

    .fats
        flex: 0 1 100px
        text-align: center

    .protein
        flex: 0 1 100px
        text-align: center

    .actions
        flex: 0 1 200px


.meals
    > * + *
        display: block
        margin-top: 10px

.meals-container
    margin-top: 20px

    .title-section
        display: flex
        align-items: center
        justify-content: space-between

        padding: 0 1.25em
        box-sizing: border-box

        h3
            color: $primaryColor
            font-size: 1.25em

        .add-button
            border-radius: 0
            font-weight: 300

            .mat-icon
                width: auto
                height: auto
                line-height: 0
                font-size: 16px
